Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 381363002: Extract out a source_span package from source_maps. (Closed)

Created:
6 years, 3 months ago by nweiz
Modified:
6 years, 3 months ago
CC:
reviews_dartlang.org
Visibility:
Public.

Description

Extract out a source_span package from source_maps. This is just the first step; future CLs will add support for the new API to various packages currently using the old one. BUG=19930 R=sigmund@google.com Committed: https://code.google.com/p/dart/source/detail?r=38360

Patch Set 1 #

Total comments: 34

Patch Set 2 : code review #

Total comments: 1

Patch Set 3 : code review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1459 lines, -16 lines) Patch
A pkg/source_span/CHANGELOG.md View 1 chunk +33 lines, -0 lines 0 comments Download
A + pkg/source_span/LICENSE View 0 chunks +-1 lines, --1 lines 0 comments Download
A pkg/source_span/README.md View 1 chunk +15 lines, -0 lines 0 comments Download
A + pkg/source_span/lib/source_span.dart View 1 1 chunk +6 lines, -2 lines 0 comments Download
A + pkg/source_span/lib/src/colors.dart View 1 chunk +5 lines, -7 lines 0 comments Download
A pkg/source_span/lib/src/file.dart View 1 1 chunk +266 lines, -0 lines 0 comments Download
A pkg/source_span/lib/src/location.dart View 1 1 chunk +86 lines, -0 lines 0 comments Download
A pkg/source_span/lib/src/span.dart View 1 1 chunk +78 lines, -0 lines 0 comments Download
A pkg/source_span/lib/src/span_exception.dart View 1 1 chunk +43 lines, -0 lines 0 comments Download
A pkg/source_span/lib/src/span_mixin.dart View 1 1 chunk +74 lines, -0 lines 0 comments Download
A + pkg/source_span/lib/src/utils.dart View 2 chunks +14 lines, -4 lines 0 comments Download
A pkg/source_span/pubspec.yaml View 1 chunk +12 lines, -0 lines 0 comments Download
A pkg/source_span/test/file_message_test.dart View 1 2 1 chunk +100 lines, -0 lines 0 comments Download
A pkg/source_span/test/file_test.dart View 1 1 chunk +370 lines, -0 lines 0 comments Download
A pkg/source_span/test/location_test.dart View 1 1 chunk +101 lines, -0 lines 0 comments Download
A pkg/source_span/test/span_test.dart View 1 1 chunk +256 lines, -0 lines 0 comments Download
A + pkg/source_span/test/utils_test.dart View 1 chunk +1 line, -4 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
nweiz
6 years, 3 months ago (2014-07-11 02:07:23 UTC) #1
Siggi Cherem (dart-lang)
Hey Nathan, would it be possible to create a diff with the old code to ...
6 years, 3 months ago (2014-07-11 17:01:32 UTC) #2
nweiz
> Hey Nathan, would it be possible to create a diff with the old code ...
6 years, 3 months ago (2014-07-11 18:41:41 UTC) #3
Siggi Cherem (dart-lang)
Looks nice overall, just a few suggestions and questions. One general comment on naming of ...
6 years, 3 months ago (2014-07-16 21:26:10 UTC) #4
nweiz
> How about keeping it short and name the files 'src/file.dart', 'src/span.dart', 'src/location.dart' 'src/span_mixin.dart', 'src/span_exception.dart'? ...
6 years, 3 months ago (2014-07-17 20:22:09 UTC) #5
Siggi Cherem (dart-lang)
https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart File pkg/source_span/lib/src/source_span.dart (right): https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart#newcode40 pkg/source_span/lib/src/source_span.dart:40: /// The two spans must have the same source ...
6 years, 3 months ago (2014-07-17 22:24:40 UTC) #6
nweiz
https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart File pkg/source_span/lib/src/source_span.dart (right): https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart#newcode40 pkg/source_span/lib/src/source_span.dart:40: /// The two spans must have the same source ...
6 years, 3 months ago (2014-07-17 23:18:15 UTC) #7
Siggi Cherem (dart-lang)
https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart File pkg/source_span/lib/src/source_span.dart (right): https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart#newcode40 pkg/source_span/lib/src/source_span.dart:40: /// The two spans must have the same source ...
6 years, 3 months ago (2014-07-18 00:11:54 UTC) #8
nweiz
https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart File pkg/source_span/lib/src/source_span.dart (right): https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart#newcode40 pkg/source_span/lib/src/source_span.dart:40: /// The two spans must have the same source ...
6 years, 3 months ago (2014-07-18 00:30:24 UTC) #9
Siggi Cherem (dart-lang)
lgtm! Thanks! https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart File pkg/source_span/lib/src/source_span.dart (right): https://codereview.chromium.org/381363002/diff/1/pkg/source_span/lib/src/source_span.dart#newcode40 pkg/source_span/lib/src/source_span.dart:40: /// The two spans must have the ...
6 years, 3 months ago (2014-07-18 00:45:24 UTC) #10
nweiz
6 years, 3 months ago (2014-07-18 00:51:49 UTC) #11
Message was sent while issue was closed.
Committed patchset #3 manually as r38360 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698